/*!
Theme Name: Uusioraaka-aineliitto ry
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Digitoimisto Jeh
Author URI: https://jeh.fi/
Description: Kadence teeman lapsi.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: uusioraaka-aineliitto
*/

/* Anna omat koodit tästä eteenpäin
-------------------------------------------------------------- */

/* = SIVUT
/* ============================================================== */
/*
.page-id-16, .page-id-32, .page-id-34, .page-id-36, .page-id-38 { /* TOIMINTASIVUT */
    background-color: #fff; 
    background: url(https://uusioraaka-aineliitto.fi/wp-content/themes/sura_uusi/kuvat/tausta-ruohot.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    -o-background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
}
*/

.page-id-20 {  /* HISTORIA */
    background-color: #fff; 
    background: url(https://uusioraaka-aineliitto.fi/wp-content/themes/sura_uusi/kuvat/tausta-elektroniikka.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    -o-background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
}
.page-id-22 { /* YHTEYS */
    background-color: #fff; 
    background: url(https://uusioraaka-aineliitto.fi/wp-content/themes/sura_uusi/kuvat/tausta-paperit.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    -o-background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
}

/* = LOMAKE
/* ============================================================== */

.yksi-puolikas,
.yksi-kolmannes {
    position: relative;
    margin-right: 4%;
    float: left;
    margin-bottom: 0px;
}
.yksi-puolikas { width: 48%; }
.yksi-kolmannes { width: 30.66%; }
 
.viimeinen {
    margin-right: 0 !important;
    clear: right;
}

.wpcf7-form{
     
}

.wpcf7-form label{
    font-size: 16px;
    font-weight: 400;
    color:#222;
    margin-bottom: 6px;
}
.wpcf7-list-item-label{
    font-size: 16px;
    font-weight: 400;
    margin-left: -2px !important;
    margin-right: 4px !important;
    color:#222;
}
.gtunnistus { 
    margin:20px 0 10px 0;
}
.gtunnistus-ikoni { 
    position: absolute;
    margin-top:8px;
    width: 80px;
    height:80px;
}
.lomakenappi{
    text-align: center !important; 
    margin:8px 0;
    float:right;
}

input.wpcf7-form-control.wpcf7-submit {
    display: block !important;
    margin: 0 auto !important;
}
.wpcf7-form .wpcf7-form-control.wpcf7-submit {
    position: relative;
    background-color: #68a453;
    color: #fff !important;
    font-size: 16px;
    font-weight: 400;
    text-transform: uppercase;
    float: none;
    margin: 20px auto 0 auto;
    width: 300px;
    border:2px solid #fff;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -khtml-border-radius: 0;
    -webkit-transition: all .22s ease-out;
    -moz-transition: all .22s ease-out;
    -o-transition: all .22s ease-out;
    transition: all .22s ease-out;
    z-index: 1;
}

.wpcf7-form .wpcf7-form-control.wpcf7-submit:hover {
    background: #222 none repeat scroll 0 0 !important;
    color: #fff !important;
    -webkit-border-radius: 2px !important;
    -moz-border-radius: 2px !important;
    border-radius: 2px !important;
    -khtml-border-radius: 2px !important;

}
.wpcf7-form .wpcf7-form-control.wpcf7-submit:focus {
    background: #222 none repeat scroll 0 0 !important;
    color: #fff !important;
    -webkit-border-radius: 2px !important;
    -moz-border-radius: 2px !important;
    border-radius: 2px !important;
    -khtml-border-radius: 2px !important;
}

div.wpcf7-mail-sent-ok {
    /*float:left;*/
    background: transparent;
    border-left: 6px solid #68a453;
    border-top:none;
    border-right:none;
    border-bottom:none;
    color: #68a453;
    font-size:16px;
    font-weight:500;
    text-align:center;
    padding:10px;
    margin: -16px auto 30px auto !important;
    width:70%;
}
.wpcf7 form.sent .wpcf7-response-output {
    /*float:left;*/
    background: transparent;
    border-left: 6px solid #68a453;
    border-top:none;
    border-right:none;
    border-bottom:none;
    color: #68a453;
    font-size:16px;
    font-weight:500;
    text-align:center;
    padding:10px;
    margin: -16px auto 30px auto !important;
    width:70%;
}

span.wpcf7-not-valid-tip {
    display: block;
    background:#ff6e42 none repeat scroll 0 0;
    color: #fff;
    font-size: 16px;
    padding: 10px 10px;
    margin: -9px 0 10px 0 !important;
    text-align: center;
}
span.wpcf7-not-valid-tip {
    position: relative;
    background: #ff6e42;
}
span.wpcf7-not-valid-tip:after {
    bottom: 100%;
    left: 50%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(17, 17, 17, 0);
    border-bottom-color: #ff6e42;
    border-width: 10px;
    margin-left: -10px;
}

div.wpcf7-validation-errors {
    /*float:left;*/
    background: transparent;
    border-left: 6px solid #ff6e42;
    border-top:none;
    border-right:none;
    border-bottom:none;
    color: #ff6e42;
    font-size:16px;
    font-weight:500;
    text-align:center;
    padding:10px;
    margin: -16px auto 30px auto !important;
    width:70%;
}
div.wpcf7-spam-blocked {
    /*float:left;*/
    background: transparent;
    border-left: 6px solid #ff6e42;
    border-top:none;
    border-right:none;
    border-bottom:none;
    color: #ff6e42;
    font-size:16px;
    font-weight:500;
    text-align:center;
    padding:10px;
    margin: -16px auto 30px auto !important;
    width:70%;
}
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output {
    /*float:left;*/
    background: transparent;
    border-left: 6px solid #ff6e42;
    border-top:none;
    border-right:none;
    border-bottom:none;
    color: #ff6e42;
    font-size:16px;
    font-weight:500;
    text-align:center;
    padding:10px;
    margin: -16px auto 30px auto !important;
    width:70%;
}

span.wpcf7-list-item {
    display: inline-block;
    margin: 8px 6px 0 0 !important;
}
.wpcf7-form label{
    font-size: 16px;
    font-weight: 400;
    color:#222;
    margin-bottom: 6px;
    margin-top: 12px;
    width: 100%;
}
.wpcf7-list-item-label{
    font-size: 16px;
    font-weight: 400;
    color:#222;
    width: 100%;
}

.wpcf7-form input[type="radio"], .wpcf7-form input[type="checkbox"] {
    position: relative;
    line-height: normal;
    margin: -4px 4px 0 0;
    padding: 6px;
    border-radius:none !important;
    border:2px solid #222333 !important;
    vertical-align:middle;
    
    -ms-transform: scale(1.1); 
    -moz-transform: scale(1.1); 
    -webkit-transform: scale(1.1); 
    -o-transform: scale(1.1);
    
    -webkit-appearance: none;
    -moz-appearance:    none;
    appearance:         none;
    
} 
.wpcf7-form input[type="checkbox"]:checked {
    background-color:#0eff00;
    border:2px solid #089000 !important;
}
div.wpcf7 input[type="file"] {
    cursor: pointer;
    margin-top: 6px;
    margin-bottom: 12px;

    -webkit-appearance: none;
    -moz-appearance:    none;
    appearance:         none;
}
.wpcf7-form input[type="date"]{
    color:#222;
    -webkit-appearance: none;
    -moz-appearance:    none;
    appearance:         none;
}

div.wpcf7 .ajax-loader {
    background-image: url('https://uusioraaka-aineliitto.fi/wp-content/themes/sura/kuvat/ajax-loader.gif');
    width: 16px;
    height: 16px;
    display: flex;
    justify-content: center;
    margin:4px auto 4px auto !important;
    /*display: none;*/
}
.valinnat{
    display: inline-block;
    background-color: #fff;
    border:1px solid #ddd;
    padding: 14px 14px 18px 14px;
    margin-bottom: 4px;
    width: 100%;
}
.turva{
    margin:14px 0 6px 0;
}